* Encoding: windows-1252.
/************************************************************************************************************/
/*                                                                                                                                     */
/* This SAS program will extract the United States Sentencing Commission's 21 U.S.C.  851*/
/* Enhanced Drug Penalty Fiscal Year 2017 file and create a SAS dataset.                           */
/*                                                                                                                                    */
/* Prior to running the program you must update the DAT file location in the FILNAME line      */
/* to correspond to the location of the file on your computer.                                                 */
/*                                                                                                                                    */
/* You must also update the library location in the LIBNAME statement to correspond to       */
/* the folder you want the output file to be located.                                                              */
/*                                                                                                                                   */
/***********************************************************************************************************/


/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\drug851fy17nid.dat" LRECL=320 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              STMIN851 8-11            STMAX851 12-16        
   FILED 17                 WITHDRWN 18              RELIEF 19             
   CTRELIEF 20              CRMHT851 21              INDTDATE 22-32 (DATE) 
   FILEDATE 33-43 (DATE)    PROFFN1 44-46            PROFFN2 47-49         
   PROFFN3 50-52            PROFFN4 53-55            PROFFN5 56-58         
   PROFFN6 59-61            PROFFN7 62-64            PROFFN8 65-67         
   PROFFN9 68-70            PROFFN10 71-73           PROFFN11 74-76        
   PROFFN12 77-79           PROFFN13 80-82           PROFFN14 83-85        
   PRSENT1 86-89            PRSENT2 90-93            PRSENT3 94-97         
   PRSENT4 98-101           PRSENT5 102-105          PRSENT6 106-109       
   PRSENT7 110-113          PRSENT8 114-117          PRSENT9 118-120       
   PRSENT10 121-123         PRSENT11 124-126         PRSENT12 127-130      
   PRSENT13 131-132         PRSENT14 133-136         PRSNDT1 137-147 (DATE)
   PRSNDT2 148-158 (DATE)   PRSNDT3 159-169 (DATE)   PRSNDT4 170-180 (DATE)
   PRSNDT5 181-191 (DATE)   PRSNDT6 192-202 (DATE)   PRSNDT7 203-213 (DATE)
   PRSNDT8 214-224 (DATE)   PRSNDT9 225-235 (DATE)   PRSNDT10 236-246 (DATE)
   PRSNDT11 247-257 (DATE)   PRSNDT12 258-268 (DATE)   PRSNDT13 269-279 (DATE)
   PRSNDT14 280-290 (DATE)   OFFENNUM 291-292         PRCHPT1 293           
   PRCHPT2 294              PRCHPT3 295              PRCHPT4 296           
   PRCHPT5 297              PRCHPT6 298              PRCHPT7 299           
   PRCHPT8 300              PRCHPT9 301              PRCHPT10 302          
   PRCHPT11 303             PRCHPT12 304             PRCHPT13 305          
   PRCHPT14 306             PRFELN1 307              PRFELN2 308           
   PRFELN3 309              PRFELN4 310              PRFELN5 311           
   PRFELN6 312              PRFELN7 313              PRFELN8 314           
   PRFELN9 315              PRFELN10 316             PRFELN11 317          
   PRFELN12 318             PRFELN13 319             PRFELN14 320 .        


SAVE OUTFILE='.\drug851fy17nid.sav'.
